EDIT - bug #8104

TaxonName.getLastNamePart erroneously renamed .getFamiliyNamePart
02/18/2019 09:51 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

**The TaxonName property lastNamePart has erroneously been changed during the refactoring for #7238 to familyNamePart

This change needs to be reverted.

Related issues:
Related to EDIT - task #7238: Rename lastName and firstName Closed

Associated revisions

Revision 6b548bff - 02/19/2019 11:30 AM - Andreas Kohlbecker

fix #8104 renaming familiyNamePart back to lastNamePart

Revision 133e595c¢ - 04/15/2019 03:52 PM - Andreas Kohlbecker

fix #8104 renaming familiyNamePart back to lastNamePart

Revision f13666da - 09/05/2019 06:57 PM - Andreas Miiller
ref #8104 adapt CubaExcellmport to lastNamePart

History

#1 - 02/19/2019 11:05 AM - Andreas Kohlbecker

- Subject changed from TaxonName.getLastNamePart() arroneously renamed to TaxonName.getLastNamePart() erroneously renamed

#2 - 02/19/2019 11:29 AM - Andreas Kohlbecker

- Subject changed from TaxonName.getLastNamePart() erroneously renamed to TaxonName.lastNamePart erroneously renamed .familiyNamePart

#3 - 02/19/2019 11:30 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|6b548bff807c53bdc4e3676d4b74b83b8f31be4f.

#4 - 02/19/2019 11:31 AM - Andreas Kohlbecker
- Description updated

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

Please can you have a quick look on the reversion of your commit?

#5 - 02/19/2019 04:06 PM - Andreas Miuller
- Related to task #7238: Rename lastName and firstName added

#6 - 02/19/2019 04:08 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Andreas Kohlbecker

- % Done changed from 50 to 100
https://dev.e-taxonomy.eu/redmine/issues/7238
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/6b548bff807c53bdc4e3676d4b74b83b8f31be4f

The revert looks reasonable

#7 - 02/19/2019 04:09 PM - Andreas Miuller

- Subject changed from TaxonName.lastNamePart erroneously renamed .familiyNamePart to TaxonName.getLastNamePart erroneously renamed
.getFamiliyNamePart

#8 - 03/04/2019 11:31 AM - Andreas Miiller
- Priority changed from New to Highest
